summaryrefslogtreecommitdiffstats
path: root/perf-framework/batchrun
diff options
context:
space:
mode:
authorRahul C S <rahulcs@redhat.com>2012-02-17 17:23:28 +0530
committerRahul C S <rahulcs@redhat.com>2012-02-17 17:24:19 +0530
commitdb468693ef5faa294d9bc3cd3c5d70c0d99d488b (patch)
treef552d0a8e88304dba5038eac670a5c7afe3c267e /perf-framework/batchrun
parent01a77a1ae18d9add01f893e06e58191b065602e8 (diff)
Adding the performance framework to the qa repo
Change-Id: Ia7dbd82e9bb2e5e65e9345234ce34f8518a091ad Signed-off-by: Rahul C S <rahulcs@redhat.com>
Diffstat (limited to 'perf-framework/batchrun')
-rwxr-xr-xperf-framework/batchrun50
1 files changed, 50 insertions, 0 deletions
diff --git a/perf-framework/batchrun b/perf-framework/batchrun
new file mode 100755
index 0000000..d45455e
--- /dev/null
+++ b/perf-framework/batchrun
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+CONFIG_FILE=gf_perf_config
+source $CONFIG_FILE
+RUNLIST="glusterfs-3git.tar.gz"
+
+function do_run()
+{
+ FIRST=`cat .runfile`
+ ./start_perf_measure
+# sed -i 's/^\.\/create_gluster_vol/#&/' start_perf_measure
+# sleep 10
+# if [ $MINOR -gt 1 ]; then
+# LAST=$(($FIRST+3))
+# ./quota_gsync_run $run
+# sed -i 's/^#\.\/create_gluster_vol/\.\/create_gluster_vol/' start_perf_measure
+# fi
+}
+
+function extract_release()
+{
+ MAJOR=`echo $runlabel | cut -f1 -d'.' | grep -o "^[0-9]"`
+ MINOR=`echo $runlabel | cut -f2 -d'.' | grep -o "^[0-9]"`
+}
+
+for run in $RUNLIST
+do
+ cp tarballs/$run .
+ ./setrun $run
+ ./deploy_gluster
+ ./check_install.new
+ if [ $? -ne 0 ]
+ then
+ echo "Installation of run $run failed. Continuing with next run"
+ continue
+ fi
+ echo "Sleeping for 10 seconds.."
+ runlabel=`echo $run|sed -e 's/^glusterfs-//' -e 's/\.tar\.gz//'`
+ echo "run`cat .runfile` - $MOUNT_TYPE - $runlabel - $GF_CONFIG - (quota off, gsync off)" >> $RUNLOG
+ sleep 10
+ extract_release
+ do_run
+ rm $run
+ sed -i 's/ENABLE_ACL=no/ENABLE_ACL=yes/' gf_perf_config
+ if [ $MINOR -gt 1 ]; then
+ ./send_mail `seq $FIRST $LAST`
+ else
+ ./send_mail $FIRST
+ fi
+done